GET /whatsapp/numbers/{id}

One bought number; lastCode is the code captured in the last 10 minutes (manual Embedded Signup fallback: choose voice call and type it)

GET
/whatsapp/numbers/{id}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Provisioned number id

Response Body

{number}

application/json
  1. response
number?
Example Request
curl -X GET 'https://example.com/api/v1/whatsapp/numbers/string'
Example Response
{  "number": {    "id": "string",    "provider": "telnyx",    "phoneNumber": "string",    "countryCode": "string",    "verifiedName": "string",    "status": "purchasing",    "wabaId": "string",    "phoneNumberId": "string",    "accountId": "string",    "sourceAccountId": "string",    "codeMethod": "VOICE",    "codeRequestedAt": "2019-08-24T14:15:22Z",    "codeAttempts": 0,    "priceCents": 0,    "currency": "string",    "activatedAt": "2019-08-24T14:15:22Z",    "lastProductionMessageAt": "2019-08-24T14:15:22Z",    "releaseWarnedAt": "2019-08-24T14:15:22Z",    "releaseAt": "2019-08-24T14:15:22Z",    "releasedAt": "2019-08-24T14:15:22Z",    "error": "string",    "nextActionAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "lastCode": {      "code": "string",      "capturedAt": "string",      "expiresAt": "string"    }  }}